use `ombutel`;

alter table `ombu_faxes` add column `source_extension_id` int(10) unsigned;
alter table `ombu_faxes` add column `destination_extension_id` int(10) unsigned;

update `ombu_faxes` as `faxes`
left join `ombu_extensions` as `ext` on (
	`ext`.`extension` = `faxes`.`source`)
set `faxes`.`source_extension_id` = ext.extension_id;

update `ombu_faxes` as `faxes`
left join `ombu_extensions` as `ext` on (
	`ext`.`extension` = `faxes`.`destination`)
set `faxes`.`destination_extension_id` = ext.extension_id;
