use `ombutel`;

select
    (select `brand_id` from `xepm_brands` where `name` = 'GrandStream')
into @brand_9;

select
    (select `model_id` from `xepm_models` where `brand_id` = @brand_9 and `name` = 'GXP2100'),
    (select `model_id` from `xepm_models` where `brand_id` = @brand_9 and `name` = 'GXP2110'),
    (select `model_id` from `xepm_models` where `brand_id` = @brand_9 and `name` = 'GXP2120'),
    (select `model_id` from `xepm_models` where `brand_id` = @brand_9 and `name` = 'GXP2124v2'),
    (select `model_id` from `xepm_models` where `brand_id` = @brand_9 and `name` = 'GXP2130'),
    (select `model_id` from `xepm_models` where `brand_id` = @brand_9 and `name` = 'GXP2135'),
    (select `model_id` from `xepm_models` where `brand_id` = @brand_9 and `name` = 'GXP2140'),
    (select `model_id` from `xepm_models` where `brand_id` = @brand_9 and `name` = 'GXP2160'),
    (select `model_id` from `xepm_models` where `brand_id` = @brand_9 and `name` = 'GXP2170')
into @model_65, @model_81, @model_64, @model_63, @model_62, @model_168, @model_61, @model_60, @model_167;

select
    (select `setting_type_id` from `xepm_setting_types` where `ident` = 'other')
into @setting_type_35;

select
    (select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_65 and `ident` = 'generic'),
    (select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_81 and `ident` = 'generic'),
    (select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_64 and `ident` = 'generic'),
    (select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_63 and `ident` = 'generic'),
    (select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_62 and `ident` = 'generic'),
    (select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_168 and `ident` = 'generic'),
    (select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_61 and `ident` = 'generic'),
    (select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_60 and `ident` = 'generic'),
    (select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_167 and `ident` = 'generic')
into @configuration_type_65, @configuration_type_81, @configuration_type_64, @configuration_type_63, @configuration_type_62, @configuration_type_168, @configuration_type_61, @configuration_type_60, @configuration_type_167;

select
    (select `setting_id` from `xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_65 and `name` = 'generic'),
    (select `setting_id` from `xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_81 and `name` = 'generic'),
    (select `setting_id` from `xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_64 and `name` = 'generic'),
    (select `setting_id` from `xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_63 and `name` = 'generic'),
    (select `setting_id` from `xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_62 and `name` = 'generic'),
    (select `setting_id` from `xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_168 and `name` = 'generic'),
    (select `setting_id` from `xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_61 and `name` = 'generic'),
    (select `setting_id` from `xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_60 and `name` = 'generic'),
    (select `setting_id` from `xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_167 and `name` = 'generic')
into @setting_182205, @setting_180824, @setting_179443, @setting_178720, @setting_177057, @setting_550914, @setting_175398, @setting_174789, @setting_553914;

insert into `xepm_settings`(`parent_id`,`configuration_type_id`,`setting_type_id`,`name`,`default`)
select v.* from (
    select @setting_182205 `parent_id`, @configuration_type_65 `configuration_type_id`, @setting_type_35 `setting_type_id`, 'P8467' `name`, '' `default`
    union all select @setting_180824, @configuration_type_81, @setting_type_35, 'P8467', ''
    union all select @setting_179443, @configuration_type_64, @setting_type_35, 'P8467', ''
    union all select @setting_178720, @configuration_type_63, @setting_type_35, 'P8467', ''
    union all select @setting_177057, @configuration_type_62, @setting_type_35, 'P8467', ''
    union all select @setting_550914, @configuration_type_168, @setting_type_35, 'P8467', ''
    union all select @setting_175398, @configuration_type_61, @setting_type_35, 'P8467', ''
    union all select @setting_174789, @configuration_type_60, @setting_type_35, 'P8467', ''
    union all select @setting_553914, @configuration_type_167, @setting_type_35, 'P8467', ''
) v left join `xepm_settings` s on (s.`parent_id` <=> v.`parent_id` and s.`configuration_type_id` = v.`configuration_type_id` and s.`name` = v.`name`) where s.`setting_id` is null;
