use `ombutel`;

select `module_id` into @module_id from `ombu_modules` where `name` = "iax_settings";

insert into `ombutel`.`ombu_settings` (`module_id`, `name`, `value`) values
	(@module_id, "bindport", coalesce((select `bindport` from `ombu_iax_settings` limit 1), "4569")),
	(@module_id, "bindaddr", (select `bindaddr` from `ombu_iax_settings` limit 1)),
	(@module_id, "language", coalesce((select `language` from `ombu_iax_settings` limit 1), "en")),
	(@module_id, "bandwidth", coalesce((select `bandwidth` from `ombu_iax_settings` limit 1), "low")),
	(@module_id, "adsi", coalesce((select `adsi` from `ombu_iax_settings` limit 1), "yes")),
	(@module_id, "srvlookup", coalesce((select `srvlookup` from `ombu_iax_settings` limit 1), "no")),
	(@module_id, "nochecksums", coalesce((select `nochecksums` from `ombu_iax_settings` limit 1), "yes")),
	(@module_id, "iaxcompat", coalesce((select `iaxcompat` from `ombu_iax_settings` limit 1), "yes")),
	(@module_id, "minregexpire", coalesce((select `minregexpire` from `ombu_iax_settings` limit 1), "60")),
	(@module_id, "maxregexpire", coalesce((select `maxregexpire` from `ombu_iax_settings` limit 1), "60")),
	(@module_id, "iaxthreadcount", coalesce((select `iaxthreadcount` from `ombu_iax_settings` limit 1), "10")),
	(@module_id, "iaxmaxthreadcount", coalesce((select `iaxmaxthreadcount` from `ombu_iax_settings` limit 1), "100")),
	(@module_id, "autokill", coalesce((select `autokill` from `ombu_iax_settings` limit 1), "yes")),
	(@module_id, "trunkfreq", coalesce((select `trunkfreq` from `ombu_iax_settings` limit 1), "20")),
	(@module_id, "authdebug", coalesce((select `authdebug` from `ombu_iax_settings` limit 1), "no")),
	(@module_id, "trunktimestamps", coalesce((select `trunktimestamps` from `ombu_iax_settings` limit 1), "yes")),
	(@module_id, "codecpriority", coalesce((select `codecpriority` from `ombu_iax_settings` limit 1), "caller")),
	(@module_id, "allowedcodecs", coalesce((select `allowedcodecs` from `ombu_iax_settings` limit 1), "ulaw,alaw,g729")),
	(@module_id, "calltokenoptional", (select `calltokenoptional` from `ombu_iax_settings` limit 1)),
	(@module_id, "maxcallnumbers", (select `maxcallnumbers` from `ombu_iax_settings` limit 1)),
	(@module_id, "maxcallnumbers_nonvalidated", (select `maxcallnumbers_nonvalidated` from `ombu_iax_settings` limit 1));

alter table `ombutel`.`ombu_iax_number_limits` drop foreign key `ombu_iax_number_limits_ibfk_1`;
alter table `ombutel`.`ombu_iax_number_limits` drop column `iax_settings_id`;
drop table `ombutel`.`ombu_iax_settings`;
