use `ombutel`;

create table ombu_emergency (
	`emergency_id` int unsigned not null auto_increment primary key,
	`number` varchar(255) not null,
	`description` varchar(255) default null,
	`destination_id` int unsigned default NULL,
	unique(`number`),
	foreign key (`destination_id`) references `ombu_destinations` (`destination_id`) on delete set null
);

create table ombu_emergency_emails (
	`email_id` int unsigned not null auto_increment primary key,
	`emergency_id` int unsigned not null,
	`email` varchar(255) not null,
	foreign key (`emergency_id`) references `ombu_emergency`(`emergency_id`) on delete cascade
);

insert into ombu_destination_categories (`module_id`, `name`) select `module_id`, 'emergency' from `ombu_modules` where `name` = 'emergency';
