-- Was supposed to be done by a previous patch.
alter table `ombutel`.`xepm_timezones` convert to character set utf8 collate utf8_unicode_ci;

insert into `ombutel`.`xepm_brands` (`name`)
select v.* from (
	select 'Cisco' as `name`
) v left join `ombutel`.`xepm_brands` b on (b.`name` = v.`name`)
where b.`brand_id` is null;
select
	(select `brand_id` from `ombutel`.`xepm_brands` where `name` = 'Cisco')
into @brand_27;
insert into `ombutel`.`xepm_models` (`brand_id`, `sip_lines`, `iax2_lines`, `max_modules`, `dss_buttons`, `name`)
select v.* from (
	select @brand_27 as `brand_id`, 8 as `sip_lines`, 0 as `iax2_lines`, 0 as `max_modules`, 0 as `dss_buttons`, '7975' as `name`
	union all select @brand_27, 2, 0, 0, 0, '7942'
) v left join `ombutel`.`xepm_models` m on (m.`brand_id` = v.`brand_id` and m.`name` = v.`name`)
where m.`model_id` is null;
select
	(select `model_id` from `ombutel`.`xepm_models` where `brand_id` = @brand_27 and `name` = '7975'),
	(select `model_id` from `ombutel`.`xepm_models` where `brand_id` = @brand_27 and `name` = '7942')
into @model_197,@model_198;
insert into `ombutel`.`xepm_configuration_types` (`model_id`, `ident`, `name`)
select v.* from (
	select @model_197 as `model_id`, '75.9-3-1sr4-1s' as `ident`, '75.9-3-1SR4-1S' as `name`
	union all select @model_198, '42.8-4-2s', '42.8-4-2S'
) v left join `ombutel`.`xepm_configuration_types` ct on (ct.`model_id` = v.`model_id` and ct.`ident` = v.`ident`)
where ct.`configuration_type_id` is null;
select
	(select `configuration_type_id` from `ombutel`.`xepm_configuration_types` where `model_id` = @model_197 and `ident` = '75.9-3-1sr4-1s'),
	(select `configuration_type_id` from `ombutel`.`xepm_configuration_types` where `model_id` = @model_198 and `ident` = '42.8-4-2s')
into @configuration_type_206,@configuration_type_207;
insert into `ombutel`.`xepm_button_types` (`ident`, `name`)
select v.* from (
	select '1' as `ident`, 'Redial' as `name`
	union all select '3', 'Hold'
	union all select '4', 'Transfer'
	union all select '5', 'Call Forward'
	union all select '9', 'Line'
	union all select '20', 'Service URI'
	union all select '21', 'BLF Speed Dial'
	union all select '22', 'BLF Directed Call Park'
	union all select '23', 'Intercom'
	union all select '27', 'Malicious Call'
	union all select '102', 'Conference'
	union all select '123', 'Meet Me'
	union all select '126', 'Park'
	union all select '127', 'PickUp'
	union all select '128', 'Group PickUp'
	union all select '130', 'Do Not Disturb'
	union all select '132', 'Remove Last Participant'
	union all select '133', 'Report Quality'
	union all select '134', 'Call Back'
	union all select '135', 'Other PickUp'
	union all select '137', 'New Call'
	union all select '139', 'Hunt Group'
	union all select '141', 'Answer'
	union all select '159', 'Record'
) v left join `ombutel`.`xepm_button_types` bt on (bt.`ident` = v.`ident` and bt.`name` = v.`name`)
where bt.`button_type_id` is null;
select
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '1' and `name` = 'Redial'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '3' and `name` = 'Hold'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '4' and `name` = 'Transfer'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '5' and `name` = 'Call Forward'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '9' and `name` = 'Line'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '20' and `name` = 'Service URI'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '21' and `name` = 'BLF Speed Dial'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '22' and `name` = 'BLF Directed Call Park'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '23' and `name` = 'Intercom'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '27' and `name` = 'Malicious Call'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '102' and `name` = 'Conference'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '123' and `name` = 'Meet Me'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '126' and `name` = 'Park'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '127' and `name` = 'PickUp'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '128' and `name` = 'Group PickUp'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '130' and `name` = 'Do Not Disturb'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '132' and `name` = 'Remove Last Participant'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '133' and `name` = 'Report Quality'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '134' and `name` = 'Call Back'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '135' and `name` = 'Other PickUp'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '137' and `name` = 'New Call'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '139' and `name` = 'Hunt Group'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '141' and `name` = 'Answer'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '159' and `name` = 'Record'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '2' and `name` = 'Speed Dial')
into @button_type_1293,@button_type_1295,@button_type_1296,@button_type_1297,@button_type_1298,@button_type_1299,@button_type_1300,@button_type_1301,@button_type_1302,@button_type_1303,@button_type_1304,@button_type_1305,@button_type_1306,@button_type_1307,@button_type_1308,@button_type_1309,@button_type_1310,@button_type_1311,@button_type_1312,@button_type_1313,@button_type_1314,@button_type_1315,@button_type_1317,@button_type_1319,@button_type_270;
select
	(select `category_id` from `ombutel`.`xepm_button_categories` where `ident` = 'line'),
	(select `category_id` from `ombutel`.`xepm_button_categories` where `ident` = 'module')
into @button_category_2,@button_category_3;
insert into `ombutel`.`xepm_model_button_types` (`model_id`, `category_id`, `button_type_id`, `index`)
select v.* from (
	select @model_197 as `model_id`, @button_category_2 as `category_id`, @button_type_1293 as `button_type_id`, 0 as `index`
	union all select @model_197, @button_category_2, @button_type_270, 1
	union all select @model_197, @button_category_2, @button_type_1295, 2
	union all select @model_197, @button_category_2, @button_type_1296, 3
	union all select @model_197, @button_category_2, @button_type_1297, 4
	union all select @model_197, @button_category_2, @button_type_1298, 5
	union all select @model_197, @button_category_2, @button_type_1299, 6
	union all select @model_197, @button_category_2, @button_type_1300, 7
	union all select @model_197, @button_category_2, @button_type_1301, 8
	union all select @model_197, @button_category_2, @button_type_1302, 9
	union all select @model_197, @button_category_2, @button_type_1303, 10
	union all select @model_197, @button_category_2, @button_type_1304, 11
	union all select @model_197, @button_category_2, @button_type_1305, 12
	union all select @model_197, @button_category_2, @button_type_1306, 13
	union all select @model_197, @button_category_2, @button_type_1307, 14
	union all select @model_197, @button_category_2, @button_type_1308, 15
	union all select @model_197, @button_category_2, @button_type_1309, 16
	union all select @model_197, @button_category_2, @button_type_1310, 17
	union all select @model_197, @button_category_2, @button_type_1311, 18
	union all select @model_197, @button_category_2, @button_type_1312, 19
	union all select @model_197, @button_category_2, @button_type_1313, 20
	union all select @model_197, @button_category_2, @button_type_1314, 21
	union all select @model_197, @button_category_2, @button_type_1315, 22
	union all select @model_197, @button_category_2, @button_type_1317, 24
	union all select @model_197, @button_category_2, @button_type_1319, 26
	union all select @model_197, @button_category_3, @button_type_1293, 0
	union all select @model_197, @button_category_3, @button_type_270, 1
	union all select @model_197, @button_category_3, @button_type_1295, 2
	union all select @model_197, @button_category_3, @button_type_1296, 3
	union all select @model_197, @button_category_3, @button_type_1297, 4
	union all select @model_197, @button_category_3, @button_type_1298, 5
	union all select @model_197, @button_category_3, @button_type_1299, 6
	union all select @model_197, @button_category_3, @button_type_1300, 7
	union all select @model_197, @button_category_3, @button_type_1301, 8
	union all select @model_197, @button_category_3, @button_type_1302, 9
	union all select @model_197, @button_category_3, @button_type_1303, 10
	union all select @model_197, @button_category_3, @button_type_1304, 11
	union all select @model_197, @button_category_3, @button_type_1305, 12
	union all select @model_197, @button_category_3, @button_type_1306, 13
	union all select @model_197, @button_category_3, @button_type_1307, 14
	union all select @model_197, @button_category_3, @button_type_1308, 15
	union all select @model_197, @button_category_3, @button_type_1309, 16
	union all select @model_197, @button_category_3, @button_type_1310, 17
	union all select @model_197, @button_category_3, @button_type_1311, 18
	union all select @model_197, @button_category_3, @button_type_1312, 19
	union all select @model_197, @button_category_3, @button_type_1313, 20
	union all select @model_197, @button_category_3, @button_type_1314, 21
	union all select @model_197, @button_category_3, @button_type_1315, 22
	union all select @model_197, @button_category_3, @button_type_1317, 24
	union all select @model_197, @button_category_3, @button_type_1319, 26
	union all select @model_198, @button_category_2, @button_type_1293, 0
	union all select @model_198, @button_category_2, @button_type_270, 1
	union all select @model_198, @button_category_2, @button_type_1295, 2
	union all select @model_198, @button_category_2, @button_type_1296, 3
	union all select @model_198, @button_category_2, @button_type_1297, 4
	union all select @model_198, @button_category_2, @button_type_1298, 5
	union all select @model_198, @button_category_2, @button_type_1299, 6
	union all select @model_198, @button_category_2, @button_type_1300, 7
	union all select @model_198, @button_category_2, @button_type_1301, 8
	union all select @model_198, @button_category_2, @button_type_1302, 9
	union all select @model_198, @button_category_2, @button_type_1303, 10
	union all select @model_198, @button_category_2, @button_type_1304, 11
	union all select @model_198, @button_category_2, @button_type_1305, 12
	union all select @model_198, @button_category_2, @button_type_1306, 13
	union all select @model_198, @button_category_2, @button_type_1307, 14
	union all select @model_198, @button_category_2, @button_type_1308, 15
	union all select @model_198, @button_category_2, @button_type_1309, 16
	union all select @model_198, @button_category_2, @button_type_1310, 17
	union all select @model_198, @button_category_2, @button_type_1311, 18
	union all select @model_198, @button_category_2, @button_type_1312, 19
	union all select @model_198, @button_category_2, @button_type_1313, 20
	union all select @model_198, @button_category_2, @button_type_1314, 21
	union all select @model_198, @button_category_2, @button_type_1315, 22
	union all select @model_198, @button_category_2, @button_type_1317, 24
	union all select @model_198, @button_category_2, @button_type_1319, 26
	union all select @model_198, @button_category_3, @button_type_1293, 0
	union all select @model_198, @button_category_3, @button_type_270, 1
	union all select @model_198, @button_category_3, @button_type_1295, 2
	union all select @model_198, @button_category_3, @button_type_1296, 3
	union all select @model_198, @button_category_3, @button_type_1297, 4
	union all select @model_198, @button_category_3, @button_type_1298, 5
	union all select @model_198, @button_category_3, @button_type_1299, 6
	union all select @model_198, @button_category_3, @button_type_1300, 7
	union all select @model_198, @button_category_3, @button_type_1301, 8
	union all select @model_198, @button_category_3, @button_type_1302, 9
	union all select @model_198, @button_category_3, @button_type_1303, 10
	union all select @model_198, @button_category_3, @button_type_1304, 11
	union all select @model_198, @button_category_3, @button_type_1305, 12
	union all select @model_198, @button_category_3, @button_type_1306, 13
	union all select @model_198, @button_category_3, @button_type_1307, 14
	union all select @model_198, @button_category_3, @button_type_1308, 15
	union all select @model_198, @button_category_3, @button_type_1309, 16
	union all select @model_198, @button_category_3, @button_type_1310, 17
	union all select @model_198, @button_category_3, @button_type_1311, 18
	union all select @model_198, @button_category_3, @button_type_1312, 19
	union all select @model_198, @button_category_3, @button_type_1313, 20
	union all select @model_198, @button_category_3, @button_type_1314, 21
	union all select @model_198, @button_category_3, @button_type_1315, 22
	union all select @model_198, @button_category_3, @button_type_1317, 24
	union all select @model_198, @button_category_3, @button_type_1319, 26
) v left join `ombutel`.`xepm_model_button_types` mbt on (mbt.`model_id` = v.`model_id` and mbt.`category_id` = v.`category_id` and mbt.`button_type_id` = v.`button_type_id` and mbt.`index` = v.`index`)
where mbt.`model_id` is null;
select
	(select `line_id` from `ombutel`.`xepm_lines` where `ident` = '1' and `name` = 'Line 1'),
	(select `line_id` from `ombutel`.`xepm_lines` where `ident` = '2' and `name` = 'Line 2'),
	(select `line_id` from `ombutel`.`xepm_lines` where `ident` = '3' and `name` = 'Line 3'),
	(select `line_id` from `ombutel`.`xepm_lines` where `ident` = '4' and `name` = 'Line 4'),
	(select `line_id` from `ombutel`.`xepm_lines` where `ident` = '5' and `name` = 'Line 5'),
	(select `line_id` from `ombutel`.`xepm_lines` where `ident` = '6' and `name` = 'Line 6'),
	(select `line_id` from `ombutel`.`xepm_lines` where `ident` = '7' and `name` = 'Line 7'),
	(select `line_id` from `ombutel`.`xepm_lines` where `ident` = '8' and `name` = 'Line 8')
into @line_576,@line_586,@line_589,@line_592,@line_595,@line_598,@line_601,@line_603;
insert into `ombutel`.`xepm_model_lines` (`model_id`, `line_id`, `index`)
select v.* from (
	select @model_197 as `model_id`, @line_576 as `line_id`, 1703 as `index`
	union all select @model_197, @line_586, 1704
	union all select @model_197, @line_589, 1705
	union all select @model_197, @line_592, 1706
	union all select @model_197, @line_595, 1707
	union all select @model_197, @line_598, 1708
	union all select @model_197, @line_601, 1709
	union all select @model_197, @line_603, 1710
	union all select @model_198, @line_576, 1701
	union all select @model_198, @line_586, 1702
) v left join `ombutel`.`xepm_model_lines` ml on (ml.`model_id` = v.`model_id` and ml.`line_id` = v.`line_id`)
where ml.`model_id` is null;
insert into `ombutel`.`xepm_timezones` (`brand_id`, `offset`, `name`, `value`)
select v.* from (
	select @brand_27 as `brand_id`, -43200 as `offset`, 'Dateline Standard Time' as `name`, '-720' as `value`
	union all select @brand_27, -39600, 'Samoa Standard Time', '-660'
	union all select @brand_27, -36000, 'Hawaiian Standard Time', '-600'
	union all select @brand_27, -32400, 'Alaskan Standard/Daylight Time', '-540'
	union all select @brand_27, -28800, 'Pacific Standard/Daylight Time', '-480'
	union all select @brand_27, -25200, 'Mountain Standard/Daylight Time', '-420'
	union all select @brand_27, -25200, 'US Mountain Standard Time', '-420'
	union all select @brand_27, -21600, 'Central Standard/Daylight Time', '-360'
	union all select @brand_27, -21600, 'Mexico Standard/Daylight Time', '-360'
	union all select @brand_27, -21600, 'Canada Central Standard Time', '-360'
	union all select @brand_27, -18000, 'SA Pacific Standard Time', '-300'
	union all select @brand_27, -18000, 'Eastern Standard/Daylight Time', '-300'
	union all select @brand_27, -18000, 'US Eastern Standard Time', '-300'
	union all select @brand_27, -14400, 'Atlantic Standard/Daylight Time', '-240'
	union all select @brand_27, -14400, 'SA Western Standard Time', '-240'
	union all select @brand_27, -14400, 'Pacific SA Standard Time', '-240'
	union all select @brand_27, -12600, 'Newfoundland Standard/Daylight Time', '-210'
	union all select @brand_27, -10800, 'E. South America Standard/Daylight Time', '-180'
	union all select @brand_27, -10800, 'SA Eastern Standard Time', '-180'
	union all select @brand_27, -10800, 'Pacific SA Daylight Time', '-180'
	union all select @brand_27, -7200, 'Mid-Atlantic Standard/Daylight Time', '-120'
	union all select @brand_27, -3600, 'Azores Standard/Daylight Time', '-60'
	union all select @brand_27, 0, 'GMT Standard/Daylight Time', '0'
	union all select @brand_27, 0, 'Greenwich Standard Time', '0'
	union all select @brand_27, 3600, 'W. Europe Standard/Daylight Time', '+60'
	union all select @brand_27, 3600, 'GTB Standard/Daylight Time', '+60'
	union all select @brand_27, 3600, 'Egypt Standard/Daylight Time', '+60'
	union all select @brand_27, 3600, 'E. Europe Standard/Daylight Time', '+60'
	union all select @brand_27, 7200, 'Romance Standard/Daylight Time', '+120'
	union all select @brand_27, 7200, 'Central Europe Standard/Daylight Time', '+120'
	union all select @brand_27, 7200, 'South Africa Standard Time', '+120'
	union all select @brand_27, 7200, 'Jerusalem Standard/Daylight Time', '+120'
	union all select @brand_27, 10800, 'Saudi Arabia Standard Time', '+180'
	union all select @brand_27, 10800, 'Russian Standard/Daylight Time', '+180'
	union all select @brand_27, 12600, 'Iran Standard/Daylight Time', '+210'
	union all select @brand_27, 14400, 'Caucasus Standard/Daylight Time', '+240'
	union all select @brand_27, 14400, 'Arabian Standard Time', '+240'
	union all select @brand_27, 16200, 'Afghanistan Standard Time', '+270'
	union all select @brand_27, 18000, 'West Asia Standard Time', '+300'
	union all select @brand_27, 18000, 'Ekaterinburg Standard Time', '+300'
	union all select @brand_27, 19800, 'India Standard Time', '+330'
	union all select @brand_27, 21600, 'Central Asia Standard Time', '+360'
	union all select @brand_27, 25200, 'SE Asia Standard Time', '+420'
	union all select @brand_27, 28800, 'China Standard/Daylight Time', '+480'
	union all select @brand_27, 28800, 'Taipei Standard Time', '+480'
	union all select @brand_27, 32400, 'Tokyo Standard Time', '+540'
	union all select @brand_27, 34200, 'Cen. Australia Standard/Daylight Time', '+570'
	union all select @brand_27, 34200, 'AUS Central Standard Time', '+570'
	union all select @brand_27, 36000, 'E. Australia Standard Time', '+600'
	union all select @brand_27, 36000, 'AUS Eastern Standard/Daylight Time', '+600'
	union all select @brand_27, 36000, 'West Pacific Standard Time', '+600'
	union all select @brand_27, 36000, 'Tasmania Standard/Daylight Time', '+600'
	union all select @brand_27, 39600, 'Central Pacific Standard Time', '+660'
	union all select @brand_27, 43200, 'Fiji Standard Time', '+720'
	union all select @brand_27, 43200, 'New Zealand Standard/Daylight Time', '+720'
) v left join `ombutel`.`xepm_timezones` tz on (tz.`brand_id` = v.`brand_id` and tz.`offset` = v.`offset` and tz.`name` = v.`name`)
where tz.`timezone_id` is null;
insert into `ombutel`.`xepm_ouis` (`brand_id`, `value`)
select v.* from (
	select @brand_27 as `brand_id`, 0x64168D as `value`
	union all select @brand_27, 0x006CBC
) v left join `ombutel`.`xepm_ouis` o on (o.`brand_id` = v.`brand_id` and o.`value` = v.`value`)
where o.`oui_id` is null;
select
	(select `setting_type_id` from `ombutel`.`xepm_setting_types` where `ident` = 'other'),
	(select `setting_type_id` from `ombutel`.`xepm_setting_types` where `ident` = 'line'),
	(select `setting_type_id` from `ombutel`.`xepm_setting_types` where `ident` = 'exp_buttons')
into @setting_type_35,@setting_type_34,@setting_type_33;
insert into `ombutel`.`xepm_settings` (`parent_id`,`configuration_type_id`,`setting_type_id`,`name`,`default`)
select v.* from (
	select NULL as `parent_id`, @configuration_type_207 as `configuration_type_id`, @setting_type_35 as `setting_type_id`, 'device' as `name`, '' as `default`
	union all select NULL, @configuration_type_207, @setting_type_35, 'devicePool', ''
	union all select NULL, @configuration_type_207, @setting_type_35, 'sipProfile', ''
	union all select NULL, @configuration_type_207, @setting_type_35, 'commonProfile', ''
	union all select NULL, @configuration_type_207, @setting_type_35, 'vendorConfig', ''
	union all select NULL, @configuration_type_207, @setting_type_35, 'userLocale', ''
	union all select NULL, @configuration_type_207, @setting_type_35, 'networkLocaleInfo', ''
	union all select NULL, @configuration_type_207, @setting_type_35, 'capfList', ''
	union all select NULL, @configuration_type_206, @setting_type_35, 'device', ''
	union all select NULL, @configuration_type_206, @setting_type_35, 'devicePool', ''
	union all select NULL, @configuration_type_206, @setting_type_35, 'sipProfile', ''
	union all select NULL, @configuration_type_206, @setting_type_35, 'commonProfile', ''
	union all select NULL, @configuration_type_206, @setting_type_35, 'vendorConfig', ''
	union all select NULL, @configuration_type_206, @setting_type_35, 'userLocale', ''
	union all select NULL, @configuration_type_206, @setting_type_35, 'networkLocaleInfo', ''
	union all select NULL, @configuration_type_206, @setting_type_35, 'capfList', ''
	union all select NULL, @configuration_type_206, @setting_type_35, 'addOnModules', ''
) v left join `ombutel`.`xepm_settings` s on (s.`parent_id` <=> v.`parent_id` and s.`configuration_type_id` = v.`configuration_type_id` and s.`name` = v.`name`)
where s.`setting_id` is null;
select
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 207 and `parent_id` <=> NULL and `name` = 'device'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 207 and `parent_id` <=> NULL and `name` = 'devicePool'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 207 and `parent_id` <=> NULL and `name` = 'sipProfile'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 207 and `parent_id` <=> NULL and `name` = 'commonProfile'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 207 and `parent_id` <=> NULL and `name` = 'vendorConfig'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 207 and `parent_id` <=> NULL and `name` = 'userLocale'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 207 and `parent_id` <=> NULL and `name` = 'networkLocaleInfo'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 207 and `parent_id` <=> NULL and `name` = 'capfList'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 206 and `parent_id` <=> NULL and `name` = 'device'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 206 and `parent_id` <=> NULL and `name` = 'devicePool'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 206 and `parent_id` <=> NULL and `name` = 'sipProfile'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 206 and `parent_id` <=> NULL and `name` = 'commonProfile'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 206 and `parent_id` <=> NULL and `name` = 'vendorConfig'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 206 and `parent_id` <=> NULL and `name` = 'userLocale'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 206 and `parent_id` <=> NULL and `name` = 'networkLocaleInfo'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 206 and `parent_id` <=> NULL and `name` = 'capfList'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `configuration_type_id` = 206 and `parent_id` <=> NULL and `name` = 'addOnModules')
into @setting_694809,@setting_694849,@setting_694879,@setting_695005,@setting_695009,@setting_695050,@setting_695056,@setting_695059,@setting_695075,@setting_695115,@setting_695145,@setting_695445,@setting_695449,@setting_695490,@setting_695496,@setting_695499,@setting_695515;
insert into `ombutel`.`xepm_settings` (`parent_id`,`configuration_type_id`,`setting_type_id`,`name`,`default`)
select v.* from (
	select @setting_694809 as `parent_id`, @configuration_type_207 as `configuration_type_id`, @setting_type_35 as `setting_type_id`, 'deviceProtocol' as `name`, 'SIP' as `default`
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'sshUserId', 'admin'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'sshPassword', 'admin'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'MissedCallLoggingOption', '1'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'loadInformation', 'SIP42.8-4-2S'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'versionStamp', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'networkLocale', 'United_States'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'deviceSecurityMode', '1'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'authenticationURL', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'secureAuthenticationURL', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'directoryURL', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'secureDirectoryURL', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'idleURL', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'secureIdleURL', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'informationURL', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'secureInformationURL', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'messagesURL', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'secureMessagesURL', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'idleTimeout', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'proxyServerURL', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'servicesURL', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'secureServicesURL', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'dscpForSCCPPhoneConfig', '96'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'dscpForSCCPPhoneServices', '0'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'dscpForCm2Dvce', '96'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'transportLayerProtocol', '4'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'TLSResumptionTimer', '3600'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'phonePersonalization', '1'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'autoCallPickupEnable', 'true'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'blfAudibleAlertSettingOfIdleStation', '0'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'blfAudibleAlertSettingOfBusyStation', '0'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'dndCallAlert', '1'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'dndReminderTimer', '5'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'advertiseG722Codec', '2'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'rollover', '0'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'joinAcrossLines', '0'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'capfAuthMode', '0'
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'certHash', ''
	union all select @setting_694809, @configuration_type_207, @setting_type_35, 'encrConfig', 'false'
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'dateTimeSetting/dateTemplate', 'D.M.Y'
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'dateTimeSetting/timeZone', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'dateTimeSetting/ntps/ntp/name', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'dateTimeSetting/ntps/ntp/ntpMode', 'Unicast'
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/0/@priority', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/0/callManager/ports/ethernetPhonePort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/0/callManager/ports/sipPort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/0/callManager/ports/securedSipPort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/0/callManager/processNodeName', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/1/@priority', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/1/callManager/ports/ethernetPhonePort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/1/callManager/ports/sipPort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/1/callManager/ports/securedSipPort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/1/callManager/processNodeName', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/2/@priority', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/2/callManager/ports/ethernetPhonePort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/2/callManager/ports/sipPort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/2/callManager/ports/securedSipPort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/2/callManager/processNodeName', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/3/@priority', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/3/callManager/ports/ethernetPhonePort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/3/callManager/ports/sipPort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/3/callManager/ports/securedSipPort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/3/callManager/processNodeName', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/4/@priority', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/4/callManager/ports/ethernetPhonePort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/4/callManager/ports/sipPort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/4/callManager/ports/securedSipPort', ''
	union all select @setting_694849, @configuration_type_207, @setting_type_35, 'callManagerGroup/members/member/4/callManager/processNodeName', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipProxies/backupProxy', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipProxies/backupProxyPort', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipProxies/emergencyProxy', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipProxies/emergencyProxyPort', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipProxies/outboundProxy', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipProxies/outboundProxyPort', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipProxies/registerWithProxy', 'true'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/cnfJoinEnabled', 'true'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/callForwardURI', 'x-cisco-serviceuri-cfwdall'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/callPickupURI', 'x-cisco-serviceuri-pickup'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/callPickupListURI', 'x-cisco-serviceuri-opickup'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/callPickupGroupURI', 'x-cisco-serviceuri-gpickup'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/meetMeServiceURI', 'x-cisco-serviceuri-meetme'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/abbreviatedDialURI', 'x-cisco-serviceuri-abbrdial'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/rfc2543Hold', 'false'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/callHoldRingback', '2'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/localCfwdEnable', 'true'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/retainForwardInformation', 'false'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/uriDialingDisplayPreference', '1'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/semiAttendedTransfer', 'true'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/anonymousCallBlock', '2'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/callerIdBlocking', '2'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/dndControl', '0'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipCallFeatures/remoteCcEnable', 'true'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipStack/sipInviteRetx', '6'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipStack/sipRetx', '10'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipStack/timerInviteExpires', '180'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipStack/timerRegisterExpires', '3600'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipStack/timerRegisterDelta', '5'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipStack/timerKeepAliveExpires', '120'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipStack/timerSubscribeExpires', '120'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipStack/timerSubscribeDelta', '5'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipStack/timerT1', '500'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipStack/timerT2', '4000'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipStack/maxRedirects', '70'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipStack/remotePartyID', 'true'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'sipStack/userInfo', 'None'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'autoAnswerTimer', '1'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'autoAnswerAltBehavior', 'false'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'autoAnswerOverride', 'true'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'transferOnhookEnabled', 'false'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'enableVad', 'false'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'preferredCodec', 'g711alaw'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'dtmfAvtPayload', '101'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'dtmfDbLevel', '3'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'dtmfOutofBand', 'avt'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'alwaysUsePrimeLine', 'false'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'alwaysUsePrimeLineVoiceMail', 'false'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'kpml', '3'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'natEnabled', 'false'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'natReceivedProcessing', 'false'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'natAddress', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'phoneLabel', 'Cisco'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'stutterMsgWaiting', '0'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'callStats', 'false'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'offhookToFirstDigitTimer', '15000'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'silentPeriodBetweenCallWaitingBursts', '10'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'disableLocalSpeedDialConfig', 'false'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'startMediaPort', '16384'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'stopMediaPort', '32766'
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/@button', '1'
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/@lineIndex', '1'
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/featureID', '9'
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/featureLabel', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/proxy', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/port', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/name', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/displayName', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/autoAnswer/autoAnswerEnabled', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/autoAnswer/autoAnswerMode', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/callWaiting', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/authName', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/authPassword', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/sharedLine', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/messageWaitingLampPolicy', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/messagesNumber', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/ringSettingIdle', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/ringSettingActive', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/forwardCallInfoDisplay/callerName', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/forwardCallInfoDisplay/callerNumber', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/forwardCallInfoDisplay/redirectedNumber', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/forwardCallInfoDisplay/dialedNumber', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/maxNumCalls', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/busyTrigger', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/speedDialNumber', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/serviceURI', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/featureOptionMask', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/contact', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/1/retrievalPrefix', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/@button', '2'
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/@lineIndex', '2'
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/featureID', '9'
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/featureLabel', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/proxy', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/port', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/name', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/displayName', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/autoAnswer/autoAnswerEnabled', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/autoAnswer/autoAnswerMode', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/callWaiting', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/authName', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/authPassword', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/sharedLine', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/messageWaitingLampPolicy', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/messagesNumber', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/ringSettingIdle', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/ringSettingActive', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/forwardCallInfoDisplay/callerName', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/forwardCallInfoDisplay/callerNumber', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/forwardCallInfoDisplay/redirectedNumber', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/forwardCallInfoDisplay/dialedNumber', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/maxNumCalls', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/busyTrigger', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/speedDialNumber', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/serviceURI', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/featureOptionMask', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/contact', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_34, 'sipLines/line/2/retrievalPrefix', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'externalNumberMask', ''
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'voipControlPort', '5060'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'dscpForAudio', '184'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'dscpVideo', '136'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'ringSettingBusyStationPolicy', '0'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'dialTemplate', 'dialplan.xml'
	union all select @setting_694879, @configuration_type_207, @setting_type_35, 'softKeyFile', 'softkey.xml'
	union all select @setting_695005, @configuration_type_207, @setting_type_35, 'phonePassword', 'admin'
	union all select @setting_695005, @configuration_type_207, @setting_type_35, 'backgroundImageAccess', 'true'
	union all select @setting_695005, @configuration_type_207, @setting_type_35, 'callLogBlfEnabled', '2'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'disableSpeaker', 'false'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'disableSpeakerAndHeadset', 'false'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'enableMuteFeature', 'false'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'enableGroupListen', 'true'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'g722CodecSupport', '2'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'pcPort', '1'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'settingsAccess', '1'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'garp', '0'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'voiceVlanAccess', '0'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'videoCapability', '0'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'hideVideoByDefault', '0'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'autoSelectLineEnable', '0'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'showCallHistoryForSelectedLine', '0'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'dialToneFromReleaseKey', '0'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'webAccess', '0'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'webProtocol', '0'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'spanToPCPort', '1'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'loggingDisplay', '1'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'loadServer', ''
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'sshAccess', '0'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'displayRefreshRate', '0'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'daysDisplayNotActive', ''
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'displayOnTime', ''
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'displayOnDuration', ''
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'displayIdleTimeout', ''
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'displayOnWhenIncomingCall', '1'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'daysBacklightNotActive', ''
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'backlightOnTime', ''
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'backlightOnDuration', ''
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'backlightIdleTimeout', ''
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'backlightOnWhenIncomingCall', '1'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'recordingTone', '0'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'recordingToneLocalVolume', '100'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'recordingToneRemoteVolume', '50'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'recordingToneDuration', ''
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'moreKeyReversionTimer', '5'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'autoCallSelect', '1'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'incomingCallToastTimer', '5'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'joinAndDirectTransferPolicy', '0'
	union all select @setting_695009, @configuration_type_207, @setting_type_35, 'minimumRingVolume', ''
	union all select @setting_695050, @configuration_type_207, @setting_type_35, 'name', 'English_United_Kingdom'
	union all select @setting_695050, @configuration_type_207, @setting_type_35, 'langCode', 'en'
	union all select @setting_695050, @configuration_type_207, @setting_type_35, 'uid', ''
	union all select @setting_695050, @configuration_type_207, @setting_type_35, 'version', ''
	union all select @setting_695050, @configuration_type_207, @setting_type_35, 'winCharSet', 'utf-8'
	union all select @setting_695056, @configuration_type_207, @setting_type_35, 'name', 'United_States'
	union all select @setting_695056, @configuration_type_207, @setting_type_35, 'version', ''
	union all select @setting_695059, @configuration_type_207, @setting_type_35, 'capf/phonePort', '5060'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'deviceProtocol', 'SIP'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'sshUserId', 'admin'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'sshPassword', 'admin'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'MissedCallLoggingOption', '1'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'loadInformation', 'SIP75.9-3-1SR4-1S'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'versionStamp', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'networkLocale', 'United_States'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'deviceSecurityMode', '1'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'authenticationURL', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'secureAuthenticationURL', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'directoryURL', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'secureDirectoryURL', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'idleURL', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'secureIdleURL', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'informationURL', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'secureInformationURL', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'messagesURL', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'secureMessagesURL', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'idleTimeout', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'proxyServerURL', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'servicesURL', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'secureServicesURL', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'dscpForSCCPPhoneConfig', '96'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'dscpForSCCPPhoneServices', '0'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'dscpForCm2Dvce', '96'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'transportLayerProtocol', '2'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'TLSResumptionTimer', '3600'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'phonePersonalization', '1'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'autoCallPickupEnable', 'true'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'blfAudibleAlertSettingOfIdleStation', '0'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'blfAudibleAlertSettingOfBusyStation', '0'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'dndCallAlert', '1'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'dndReminderTimer', '5'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'advertiseG722Codec', '2'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'rollover', '0'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'joinAcrossLines', '0'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'capfAuthMode', '0'
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'certHash', ''
	union all select @setting_695075, @configuration_type_206, @setting_type_35, 'encrConfig', 'false'
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'dateTimeSetting/dateTemplate', 'D.M.Y'
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'dateTimeSetting/timeZone', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'dateTimeSetting/ntps/ntp/name', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'dateTimeSetting/ntps/ntp/ntpMode', 'Unicast'
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/0/@priority', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/0/callManager/ports/ethernetPhonePort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/0/callManager/ports/sipPort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/0/callManager/ports/securedSipPort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/0/callManager/processNodeName', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/1/@priority', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/1/callManager/ports/ethernetPhonePort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/1/callManager/ports/sipPort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/1/callManager/ports/securedSipPort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/1/callManager/processNodeName', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/2/@priority', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/2/callManager/ports/ethernetPhonePort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/2/callManager/ports/sipPort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/2/callManager/ports/securedSipPort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/2/callManager/processNodeName', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/3/@priority', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/3/callManager/ports/ethernetPhonePort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/3/callManager/ports/sipPort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/3/callManager/ports/securedSipPort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/3/callManager/processNodeName', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/4/@priority', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/4/callManager/ports/ethernetPhonePort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/4/callManager/ports/sipPort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/4/callManager/ports/securedSipPort', ''
	union all select @setting_695115, @configuration_type_206, @setting_type_35, 'callManagerGroup/members/member/4/callManager/processNodeName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipProxies/backupProxy', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipProxies/backupProxyPort', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipProxies/emergencyProxy', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipProxies/emergencyProxyPort', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipProxies/outboundProxy', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipProxies/outboundProxyPort', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipProxies/registerWithProxy', 'true'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/cnfJoinEnabled', 'true'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/callForwardURI', 'x-cisco-serviceuri-cfwdall'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/callPickupURI', 'x-cisco-serviceuri-pickup'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/callPickupListURI', 'x-cisco-serviceuri-opickup'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/callPickupGroupURI', 'x-cisco-serviceuri-gpickup'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/meetMeServiceURI', 'x-cisco-serviceuri-meetme'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/abbreviatedDialURI', 'x-cisco-serviceuri-abbrdial'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/rfc2543Hold', 'false'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/callHoldRingback', '2'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/localCfwdEnable', 'true'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/retainForwardInformation', 'false'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/uriDialingDisplayPreference', '1'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/semiAttendedTransfer', 'true'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/anonymousCallBlock', '2'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/callerIdBlocking', '2'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/dndControl', '0'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipCallFeatures/remoteCcEnable', 'true'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipStack/sipInviteRetx', '6'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipStack/sipRetx', '10'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipStack/timerInviteExpires', '180'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipStack/timerRegisterExpires', '3600'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipStack/timerRegisterDelta', '5'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipStack/timerKeepAliveExpires', '120'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipStack/timerSubscribeExpires', '120'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipStack/timerSubscribeDelta', '5'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipStack/timerT1', '500'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipStack/timerT2', '4000'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipStack/maxRedirects', '70'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipStack/remotePartyID', 'true'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'sipStack/userInfo', 'None'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'autoAnswerTimer', '1'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'autoAnswerAltBehavior', 'false'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'autoAnswerOverride', 'true'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'transferOnhookEnabled', 'false'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'enableVad', 'false'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'preferredCodec', 'g711alaw'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'dtmfAvtPayload', '101'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'dtmfDbLevel', '3'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'dtmfOutofBand', 'avt'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'alwaysUsePrimeLine', 'false'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'alwaysUsePrimeLineVoiceMail', 'false'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'kpml', '3'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'natEnabled', 'false'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'natReceivedProcessing', 'false'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'natAddress', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'phoneLabel', 'Cisco'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'stutterMsgWaiting', '0'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'callStats', 'false'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'offhookToFirstDigitTimer', '15000'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'silentPeriodBetweenCallWaitingBursts', '10'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'disableLocalSpeedDialConfig', 'false'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'startMediaPort', '16384'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'stopMediaPort', '32766'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/@button', '1'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/@lineIndex', '1'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/featureID', '9'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/featureLabel', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/proxy', 'USECALLMANAGER'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/port', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/name', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/displayName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/autoAnswer/autoAnswerEnabled', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/autoAnswer/autoAnswerMode', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/callWaiting', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/authName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/authPassword', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/sharedLine', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/messageWaitingLampPolicy', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/messagesNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/ringSettingIdle', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/ringSettingActive', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/forwardCallInfoDisplay/callerName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/forwardCallInfoDisplay/callerNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/forwardCallInfoDisplay/redirectedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/forwardCallInfoDisplay/dialedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/maxNumCalls', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/busyTrigger', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/speedDialNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/serviceURI', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/featureOptionMask', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/contact', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/1/retrievalPrefix', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/@button', '2'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/@lineIndex', '2'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/featureID', '9'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/featureLabel', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/proxy', 'USECALLMANAGER'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/port', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/name', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/displayName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/autoAnswer/autoAnswerEnabled', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/autoAnswer/autoAnswerMode', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/callWaiting', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/authName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/authPassword', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/sharedLine', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/messageWaitingLampPolicy', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/messagesNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/ringSettingIdle', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/ringSettingActive', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/forwardCallInfoDisplay/callerName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/forwardCallInfoDisplay/callerNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/forwardCallInfoDisplay/redirectedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/forwardCallInfoDisplay/dialedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/maxNumCalls', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/busyTrigger', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/speedDialNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/serviceURI', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/featureOptionMask', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/contact', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/2/retrievalPrefix', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/@button', '3'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/@lineIndex', '3'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/featureID', '9'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/featureLabel', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/proxy', 'USECALLMANAGER'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/port', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/name', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/displayName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/autoAnswer/autoAnswerEnabled', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/autoAnswer/autoAnswerMode', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/callWaiting', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/authName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/authPassword', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/sharedLine', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/messageWaitingLampPolicy', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/messagesNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/ringSettingIdle', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/ringSettingActive', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/forwardCallInfoDisplay/callerName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/forwardCallInfoDisplay/callerNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/forwardCallInfoDisplay/redirectedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/forwardCallInfoDisplay/dialedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/maxNumCalls', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/busyTrigger', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/speedDialNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/serviceURI', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/featureOptionMask', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/contact', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/3/retrievalPrefix', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/@button', '4'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/@lineIndex', '4'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/featureID', '9'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/featureLabel', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/proxy', 'USECALLMANAGER'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/port', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/name', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/displayName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/autoAnswer/autoAnswerEnabled', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/autoAnswer/autoAnswerMode', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/callWaiting', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/authName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/authPassword', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/sharedLine', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/messageWaitingLampPolicy', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/messagesNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/ringSettingIdle', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/ringSettingActive', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/forwardCallInfoDisplay/callerName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/forwardCallInfoDisplay/callerNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/forwardCallInfoDisplay/redirectedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/forwardCallInfoDisplay/dialedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/maxNumCalls', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/busyTrigger', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/speedDialNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/serviceURI', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/featureOptionMask', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/contact', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/4/retrievalPrefix', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/@button', '5'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/@lineIndex', '5'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/featureID', '9'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/featureLabel', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/proxy', 'USECALLMANAGER'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/port', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/name', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/displayName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/autoAnswer/autoAnswerEnabled', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/autoAnswer/autoAnswerMode', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/callWaiting', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/authName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/authPassword', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/sharedLine', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/messageWaitingLampPolicy', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/messagesNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/ringSettingIdle', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/ringSettingActive', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/forwardCallInfoDisplay/callerName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/forwardCallInfoDisplay/callerNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/forwardCallInfoDisplay/redirectedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/forwardCallInfoDisplay/dialedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/maxNumCalls', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/busyTrigger', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/speedDialNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/serviceURI', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/featureOptionMask', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/contact', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/5/retrievalPrefix', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/@button', '6'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/@lineIndex', '6'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/featureID', '9'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/featureLabel', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/proxy', 'USECALLMANAGER'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/port', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/name', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/displayName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/autoAnswer/autoAnswerEnabled', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/autoAnswer/autoAnswerMode', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/callWaiting', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/authName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/authPassword', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/sharedLine', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/messageWaitingLampPolicy', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/messagesNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/ringSettingIdle', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/ringSettingActive', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/forwardCallInfoDisplay/callerName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/forwardCallInfoDisplay/callerNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/forwardCallInfoDisplay/redirectedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/forwardCallInfoDisplay/dialedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/maxNumCalls', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/busyTrigger', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/speedDialNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/serviceURI', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/featureOptionMask', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/contact', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/6/retrievalPrefix', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/@button', '7'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/@lineIndex', '7'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/featureID', '9'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/featureLabel', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/proxy', 'USECALLMANAGER'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/port', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/name', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/displayName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/autoAnswer/autoAnswerEnabled', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/autoAnswer/autoAnswerMode', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/callWaiting', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/authName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/authPassword', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/sharedLine', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/messageWaitingLampPolicy', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/messagesNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/ringSettingIdle', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/ringSettingActive', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/forwardCallInfoDisplay/callerName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/forwardCallInfoDisplay/callerNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/forwardCallInfoDisplay/redirectedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/forwardCallInfoDisplay/dialedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/maxNumCalls', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/busyTrigger', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/speedDialNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/serviceURI', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/featureOptionMask', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/contact', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/7/retrievalPrefix', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/@button', '8'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/@lineIndex', '8'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/featureID', '9'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/featureLabel', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/proxy', 'USECALLMANAGER'
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/port', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/name', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/displayName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/autoAnswer/autoAnswerEnabled', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/autoAnswer/autoAnswerMode', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/callWaiting', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/authName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/authPassword', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/sharedLine', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/messageWaitingLampPolicy', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/messagesNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/ringSettingIdle', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/ringSettingActive', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/forwardCallInfoDisplay/callerName', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/forwardCallInfoDisplay/callerNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/forwardCallInfoDisplay/redirectedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/forwardCallInfoDisplay/dialedNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/maxNumCalls', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/busyTrigger', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/speedDialNumber', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/serviceURI', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/featureOptionMask', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/contact', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_34, 'sipLines/line/8/retrievalPrefix', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'externalNumberMask', ''
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'voipControlPort', '5060'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'dscpForAudio', '184'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'dscpVideo', '136'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'ringSettingBusyStationPolicy', '0'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'dialTemplate', 'dialplan.xml'
	union all select @setting_695145, @configuration_type_206, @setting_type_35, 'softKeyFile', 'softkey.xml'
	union all select @setting_695445, @configuration_type_206, @setting_type_35, 'phonePassword', 'admin'
	union all select @setting_695445, @configuration_type_206, @setting_type_35, 'backgroundImageAccess', 'true'
	union all select @setting_695445, @configuration_type_206, @setting_type_35, 'callLogBlfEnabled', '2'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'disableSpeaker', 'false'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'disableSpeakerAndHeadset', 'false'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'enableMuteFeature', 'false'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'enableGroupListen', 'true'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'g722CodecSupport', '2'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'pcPort', '1'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'settingsAccess', '1'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'garp', '0'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'voiceVlanAccess', '0'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'videoCapability', '0'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'hideVideoByDefault', '0'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'autoSelectLineEnable', '0'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'showCallHistoryForSelectedLine', '0'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'dialToneFromReleaseKey', '0'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'webAccess', '0'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'webProtocol', '0'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'spanToPCPort', '1'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'loggingDisplay', '1'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'loadServer', ''
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'sshAccess', '0'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'displayRefreshRate', '0'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'daysDisplayNotActive', ''
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'displayOnTime', ''
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'displayOnDuration', ''
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'displayIdleTimeout', ''
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'displayOnWhenIncomingCall', '1'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'daysBacklightNotActive', ''
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'backlightOnTime', ''
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'backlightOnDuration', ''
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'backlightIdleTimeout', ''
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'backlightOnWhenIncomingCall', '1'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'recordingTone', '0'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'recordingToneLocalVolume', '100'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'recordingToneRemoteVolume', '50'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'recordingToneDuration', ''
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'moreKeyReversionTimer', '5'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'autoCallSelect', '1'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'incomingCallToastTimer', '5'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'joinAndDirectTransferPolicy', '0'
	union all select @setting_695449, @configuration_type_206, @setting_type_35, 'minimumRingVolume', ''
	union all select @setting_695490, @configuration_type_206, @setting_type_35, 'name', 'English_United_Kingdom'
	union all select @setting_695490, @configuration_type_206, @setting_type_35, 'langCode', 'en'
	union all select @setting_695490, @configuration_type_206, @setting_type_35, 'uid', ''
	union all select @setting_695490, @configuration_type_206, @setting_type_35, 'version', ''
	union all select @setting_695490, @configuration_type_206, @setting_type_35, 'winCharSet', 'utf-8'
	union all select @setting_695496, @configuration_type_206, @setting_type_35, 'name', 'United_States'
	union all select @setting_695496, @configuration_type_206, @setting_type_35, 'version', ''
	union all select @setting_695499, @configuration_type_206, @setting_type_35, 'capf/phonePort', '5060'
	union all select @setting_695515, @configuration_type_206, @setting_type_33, 'addOnModule/1/@idx', '1'
	union all select @setting_695515, @configuration_type_206, @setting_type_33, 'addOnModule/1/deviceType', ''
	union all select @setting_695515, @configuration_type_206, @setting_type_33, 'addOnModule/1/deviceLine', ''
	union all select @setting_695515, @configuration_type_206, @setting_type_33, 'addOnModule/1/loadInformation', ''
	union all select @setting_695515, @configuration_type_206, @setting_type_33, 'addOnModule/2/@idx', '2'
	union all select @setting_695515, @configuration_type_206, @setting_type_33, 'addOnModule/2/deviceType', ''
	union all select @setting_695515, @configuration_type_206, @setting_type_33, 'addOnModule/2/deviceLine', ''
	union all select @setting_695515, @configuration_type_206, @setting_type_33, 'addOnModule/2/loadInformation', ''
) v left join `ombutel`.`xepm_settings` s on (s.`parent_id` <=> v.`parent_id` and s.`configuration_type_id` = v.`configuration_type_id` and s.`name` = v.`name`)
where s.`setting_id` is null;
