insert into `ombutel`.`ombu_feature_codes` (
	`feature_code_group_id`,
	`feature_name`,
	`description`,
	`defaultnumber`,
	`prefix`,
	`sufix`,
	`func`,
	`exten`,
	`param01`,
	`sendlength`,
	`state`,
	`edit`,
	`generate`,
	`display`
) select
	`feature_code_group_id`,
	'remote_dnd-direct',
	'Remote DND',
	'*39',
	'_',
	'*[0-9]!',
	'sub-remote-dnd',
	's',
	'${EXTEN}',
	'yes',
	'no',
	'yes',
	'yes',
	'no'
from `ombutel`.`ombu_feature_code_groups`
where `group_name` = 'call_forward'
and not exists(
	select null
	from `ombutel`.`ombu_feature_codes`
	where `feature_name` = 'remote_dnd-direct'
);

insert into `ombutel`.`ombu_feature_codes` (
	`feature_code_group_id`,
	`feature_name`,
	`description`,
	`defaultnumber`,
	`func`,
	`exten`,
	`param01`,
	`sendlength`,
	`state`,
	`edit`,
	`generate`,
	`display`
) select
	`feature_code_group_id`,
	'remote_dnd',
	'Remote DND',
	'*39',
	'sub-remote-dnd',
	's',
	'${EXTEN}',
	'yes',
	'no',
	'yes',
	'yes',
	'yes'
from `ombutel`.`ombu_feature_code_groups`
where `group_name` = 'call_forward'
and not exists(
	select null
	from `ombutel`.`ombu_feature_codes`
	where `feature_name` = 'remote_dnd'
);
