insert into `ombutel`.`xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`)
select p.`setting_id`, ct.`configuration_type_id`, st.`setting_type_id`, v.`name`, ''
from (
	select 'P271/para/Account1.Active' as `name`
	union all select 'P401/para/Account2.Active'
	union all select 'P501/para/Account3.Active'
	union all select 'P601/para/Account4.Active'
	union all select 'P47/para/Account1.Sipserver'
	union all select 'P747/para/Account2.Sipserver'
	union all select 'P502/para/Account3.Sipserver'
	union all select 'P602/para/Account4.Sipserver'
	union all select 'P20000/para/Account1.Lable'
	union all select 'P20001/para/Account2.Lable'
	union all select 'P20002/para/Account3.Lable'
	union all select 'P20003/para/Account4.Lable'
	union all select 'P35/para/Account1.SipUserId'
	union all select 'P735/para/Account2.SipUserId'
	union all select 'P504/para/Account3.SipUserId'
	union all select 'P604/para/Account4.SipUserId'
	union all select 'P36/para/Account1.AuthenticateID'
	union all select 'P736/para/Account2.AuthenticateID'
	union all select 'P505/para/Account3.AuthenticateID'
	union all select 'P605/para/Account4.AuthenticateID'
	union all select 'P34/para/Account1.AuthenticatePassword'
	union all select 'P734/para/Account2.AuthenticatePassword'
	union all select 'P506/para/Account3.AuthenticatePassword'
	union all select 'P606/para/Account4.AuthenticatePassword'
	union all select 'P3/para/Account1.DispalyName'
	union all select 'P703/para/Account2.DispalyName'
	union all select 'P507/para/Account3.DispalyName'
	union all select 'P607/para/Account4.DispalyName'
	union all select 'P31/para/Account1.SipRegistration'
	union all select 'P731/para/Account2.SipRegistration'
	union all select 'P510/para/Account3.SipRegistration'
	union all select 'P610/para/Account4.SipRegistration'
	union all select 'P40/para/Account1.LocalSipPort'
	union all select 'P740/para/Account2.LocalSipPort'
	union all select 'P513/para/Account3.LocalSipPort'
	union all select 'P613/para/Account4.LocalSipPort'
) v
join `ombutel`.`xepm_brands` b
left join `ombutel`.`xepm_models` m on (m.`brand_id` = b.`brand_id`)
left join `ombutel`.`xepm_configuration_types` ct on (ct.`model_id` = m.`model_id`)
left join `ombutel`.`xepm_settings` p on (p.`configuration_type_id` = ct.`configuration_type_id`)
left join `ombutel`.`xepm_setting_types` st on (st.`ident` = 'other')
left join `ombutel`.`xepm_settings` s on (s.`parent_id` <=> p.`setting_id` and s.`configuration_type_id` = ct.`configuration_type_id` and s.`name` = v.`name`)
where b.`ident` = 'htek' and m.`ident` in ('uc804','uc804p') and p.`name` = 'Account' and p.`parent_id` is null and s.`setting_id` is null;
