$(function() {
	var tasks = new ombu.datatable($("#schedulertasks .row:last"), "scheduler", "tasks", true, function() {
		$("#schedulertasks .datatable tr td:nth-of-type(5)").each(function(i, elem) {
			$(elem).html($(elem).text()).find("input").bootstrapToggle({"onstyle": "success", "width": 100});
		});
		$("#schedulertasks .datatable tr td:nth-of-type(6)").each(function(i, elem) {
			$(elem).html($(elem).text()).find("input").bootstrapToggle({"onstyle": "success", "width": 100});
		});
	});
	$("a[href='#tab_scheduler'] i.reload-tab").on('click', function() {
		pbx_request("scheduler", "reload");
	});
	var toggle_interval_unit = function() {
		var state = !($("#modal-task input#interval").val() > 0);
		$("#modal-task select#interval_unit").prop("disabled", state).prop("readonly", state);
	};
	var update_description = function() {
		var description = $("#modal-task select#script option:selected").data("description");
		$("#modal-task .row div.column-pbx:last-of-type").html(description);
	};
	var scriptify_modal = function() {
		toggle_interval_unit();
		update_description();
		$("#modal-task input#starting").datetimepicker();
		$("#modal-task input#interval").on("change input keyup paste", toggle_interval_unit);
		$("#modal-task select#script").change(update_description);
	};
	$("#tab_scheduler .create-task").click(function() {
		pbx_request("scheduler", "create_task").then(scriptify_modal);
	});
	$("#schedulertasks .datatable").on("click", "td button:nth-of-type(1)", function(e) {
		var key = $(e.target).closest("tr").data("key");
		pbx_request("scheduler", "edit_task", "edit", key).then(scriptify_modal);
		return false;
	});
	$("#schedulertasks .datatable").on("click", "td button:nth-of-type(2)", function(e) {
		var key = $(e.target).closest("tr").data("key");
		pbx_request("scheduler", "delete_task", "delete", key);
		return false;
	});
	$("#schedulertasks .datatable").on("click", "td button:nth-of-type(3)", function(e) {
		var key = $(e.target).closest("tr").data("key");
		pbx_request("scheduler", "run_task", "run", key);
		return false;
	});
	var update_task = function(e) {
		var row = $(e.target).closest("tr");
		var key = row.data("key");
		var enabled = row.find("input[name='state']").is(':checked');
		pbx_request("scheduler", "update_task", "update", key+"|"+enabled);
	}
	$("#schedulertasks .datatable").on("change", "input[name='state']", update_task);
	$("#schedulertasks").on("update_tasks", tasks.update);
});
