(function () {
	$("#trunk_group_form").validate(Validations);

	Ombutel.on('click',"#btn-modal-trklist", function () {
		multiple_select('modal-trklist', 'trklist', 'tab_trunk_group');
	});

	var rendom_cid_function = function() {
		var input = $(this).closest(".form-group").find("input");
		var label = $(this).closest(".form-group").find("label.form-control");
		var title = input.data("title");
		var textarea = $("<textarea class=\"modaltextarea\">").val(input.val().replace(/ +/g,"\n"));
		var dialog = create_modal(title, function() {
			var value = textarea.val().replace(/[\r\n]+/g," ");
			input.val(value);
			label.text(value);
		});
		dialog.find(".modal-body").append(textarea);
		dialog.modal();
		return false;
	};

	Ombutel.off("click.outbound_route_random_cids");
	Ombutel.on("click.outbound_route_random_cids", "#trunk_groupgeneral .formtextdialog", rendom_cid_function);

	var overwrite_cid_select = $('#trunk_group_form #trunk_groupgeneral #overwrite_cid');
	overwrite_cid_select.on('change', function() {
		set_restrictions();
	});

	var cid_list_disabled = function() {
		Ombutel.off("click.outbound_route_random_cids");
	}
	var cid_list_enabled = function() {
		Ombutel.off("click.outbound_route_random_cids");
		Ombutel.on("click.outbound_route_random_cids", "#trunk_groupgeneral .formtextdialog", rendom_cid_function);
	}

	var random_cid_toggle = $("#trunk_group_form #trunk_groupgeneral #random_cid_enabled");
	var random_cids_labels = $("#trunk_group_form #trunk_groupgeneral div.form-group-random_cids label");
	var set_random_cid_list_restritctions = function() {
		if(random_cid_toggle.prop('checked')) {
			cid_list_enabled();
			$(random_cids_labels).each(function(index, label) {
				$(label).removeClass('disabled');
			});
		} else {
			cid_list_disabled();
			$(random_cids_labels).each(function(index, label) {
				$(label).addClass('disabled');
			});
		}
	};
	random_cid_toggle.on('change', function() {
		set_random_cid_list_restritctions();
	});


	var random_cid_toggle_label = $("#trunk_group_form #trunk_groupgeneral div.form-group-random_cid_enabled label");
	var set_restrictions = function() {
		if(overwrite_cid_select.find(':selected').val() != 'no') {
			if(random_cid_toggle.prop('checked')) {
				cid_list_enabled();
				$(random_cids_labels).each(function(index, label) {
					$(label).removeClass('disabled');
				});
			}
			random_cid_toggle.prop('disabled', false);
			random_cid_toggle.removeClass('disabled');
			random_cid_toggle_label.prop('disabled', false);
			random_cid_toggle_label.removeClass('disabled');
			$("#btn-modal-trklist").toggle();
		} else {
			random_cid_toggle.bootstrapToggle('off');
			if(!random_cid_toggle.prop('checked')) {
				cid_list_disabled();
				$(random_cids_labels).each(function(index, label) {
					$(label).addClass('disabled');
				});
			}
			random_cid_toggle.prop('disabled', true);
			random_cid_toggle.addClass('disabled');
			random_cid_toggle_label.prop('disabled', true);
			random_cid_toggle_label.addClass('disabled');
			$("#btn-modal-trklist").toggle();
		}
	}
	set_restrictions();
	set_random_cid_list_restritctions();
})();
